; 测试配置文件, 注意:文件编码选Unicode(记事本另存为)
;  
;  本配置文件格式:
;    [SERVER]  服务器节点,唯一
;     url      服务器地址,唯一
;    [other]   其他节点, 都视作是测试节点
;     req         必须包含一个请求数据

[SERVER]
prj=泰坦-天命之子->登录+好友
; url=http://localhost/dhd_aa/Gameserver/Amfphp/
; url=http://192.168.10.17/dhd_aa/Gameserver/Amfphp/
 url=http://192.168.10.86/ylsj/Gameserver/Amfphp/
; url=http://192.168.10.56/Gameserver/Amfphp/
; url=https://ylsj.game7000.com/Gameserver/Amfphp/
; url=http://118.25.30.103/ylsj/Gameserver/Amfphp/
method=Post
;编解码插件的编解码类名称
; 不设置则采用默认编解码方法: encoder=默认编码
; 言灵世界采用的编解码方法
encoder=泰坦_言灵世界
[分区列表]
req={"uid":"wanggangzero","ope":600,"cmd":6000,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[玩家登录]
req={"uid":"wanggangzero","ope":600,"cmd":6001,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":"啦啦我是中文"}


[玩家注册新用户-测试-送审]
req={"uid":"wanggangzero","ope":600,"cmd":6004,"paras":["gwang", "wanggang", "wanggangzero@qq.com","123456-789"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":"啦啦我是中文"}
[玩家登录-测试-送审]
req={"uid":"wanggangzero","ope":600,"cmd":6005,"paras":["gwang", "wanggang"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":"啦啦我是中文"}

[创建新用户]
;参数: 昵称,性别,头像
req={"uid":"wanggangzero","ope":600,"cmd":6006,"paras":["xxxwg","男","M_1.png"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
; 
;
;
;; 邮件 604

; [邮件-test]
; ; 参数: 无
; req={"uid":"wanggangzero","ope":604,"cmd":6704,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
[邮件-刷新邮件列表]
; 参数: 邮件id,
req={"uid":"wanggangzero","ope":604,"cmd":6701,"paras":[0],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[邮件-读取邮件]
; 参数: 邮件id
req={"uid":"wanggangzero","ope":604,"cmd":6702,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[邮件-删除邮件]
; 参数: 邮件id
req={"uid":"wanggangzero","ope":604,"cmd":6703,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
 
;
[好友-搜索好友]
;参数: filter,startpage
req={"uid":"wanggangzero","ope":601,"cmd":6110,"paras":["%",0],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
[好友-推荐好友列表]
;参数: startpage
req={"uid":"wanggangzero","ope":601,"cmd":6111,"paras":[0],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-拉取好友列表]
;参数: 无
req={"uid":"wanggangzero","ope":601,"cmd":6106,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-拉取好友详细信息]
;参数: friend_uids (array)
req={"uid":"wanggangzero","ope":601,"cmd":6107,"paras":["gwang,nliang"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-请求加好友1]
;参数: uid_to 
req={"uid":"gwang","ope":601,"cmd":6101,"paras":["wanggangzero"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-拒绝好友请求]
;参数: uid_to
req={"uid":"wanggangzero","ope":601,"cmd":6103,"paras":["gwang"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-请求加好友2]
;参数: uid_to 
req={"uid":"gwang","ope":601,"cmd":6101,"paras":["wanggangzero"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-同意好友请求]
;参数: uid_to
req={"uid":"wanggangzero","ope":601,"cmd":6102,"paras":["gwang"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-删除好友]
;参数: uid_to
req={"uid":"wanggangzero","ope":601,"cmd":6104,"paras":["gwang"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-拉取好友请求列表]
;参数: 无
req={"uid":"wanggangzero","ope":601,"cmd":6105,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}


[好友-发送消息]
;参数: uid_to, msg [, 好友最后一条消息的ts]
req={"uid":"gwang","ope":601,"cmd":6108,"paras":["wanggangzero","你好,愿世界和平!",0],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-刷新消息]
;参数: filter_uid,ts 
req={"uid":"wanggangzero","ope":601,"cmd":6109,"paras":["gwang", 1489635180],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-刷新操作队列]
;参数: 无
req={"uid":"wanggangzero","ope":601,"cmd":6112,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-拉取好友赠送礼物的记录]
;参数: 无
;返回值: "ret":{"gwang":[22334,12345],...}
req={"uid":"wanggangzero","ope":601,"cmd":6113,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-收取好友赠送礼物_并回赠]
;参数: 逗号分割的uid和tsday组合(好友记录的uid和ts拼到一起)
;返回值: "ret":成功领取数量
req={"uid":"wanggangzero","ope":601,"cmd":6114,"paras":["gwang12346"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[好友-赠送礼物]
;参数: 逗号分割的uid串
;返回值: "ret":成功发送数量
req={"uid":"wanggangzero","ope":601,"cmd":6115,"paras":["gwang,123456"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}



;英雄评论

[英雄评论-拉取评论]
;参数: 英雄ID, 起始索引
;返回值: "ret":评论数组
req={"uid":"wanggangzero","ope":603,"cmd":6316,"paras":[101001,0],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
[英雄评论-点赞]
;参数: 英雄ID,评论id
;返回值: "ret":评论数组
req={"uid":"wanggangzero","ope":603,"cmd":6318,"paras":[101001,"wanggangzero"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
[英雄评论-发表评论]
;参数: 英雄ID, 评论内容
;返回值: "ret":评论数组
req={"uid":"wanggangzero","ope":603,"cmd":6317,"paras":[101001,"社会主义好,社会主义妙!"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[背包-背包测试]
;参数:无参数,刷新背包数据
req={"uid":"gwang","ope":608,"cmd":6405,"paras":[],"sig":"sig","msgid":"msgid","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[战斗--刷副本]
req={"uid":"qqwang11","ope":606,"cmd":6801,"paras":[502001,0,3,["10001"],0],"sig":"sig","msgid":"msgid","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}


; [开服7日活动-刷新]
; ;参数: 无
; req={"uid":"wanggangzero","ope":605,"cmd":6500,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

; [开服7日活动-完成任务]
; ;参数: 任务ID
; req={"uid":"wanggangzero","ope":605,"cmd":6501,"paras":[401101],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

; [开服7日活动-领奖(普通)]
; ;参数: 任务ID
; req={"uid":"wanggangzero","ope":605,"cmd":6502,"paras":[401101],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

; [开服7日活动-领奖(终极)]
; ;参数: "final"
; req={"uid":"wanggangzero","ope":605,"cmd":6502,"paras":["final"],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}


; [查询开服时间戳]
; ;参数: 无
; req={"uid":"wanggangzero","ope":605,"cmd":6503,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}


; [订单刷新(查询游戏币余额)]
; ;参数: 无参数
; req={"uid":"wanggangzero","ope":888,"cmd":8808,"paras":[],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

; ; 游戏内消费
; ; 参数:　付费类型:1=钻石, 其他类型暂未看房, 商品ID,  数量
; [商城购买商品801001]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,801001,1],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
; [商城购买商品801002]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,801002,1],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
; [商城购买商品801003]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,801003,1],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
; [商城购买商品801004]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,801004,1],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
; [商城购买商品801005]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,801005,1],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}
; [商城购买商品801006]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,801006,1],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

; [购买宝箱]
; req={"uid":"wanggangzero","ope":888,"cmd":8807,"paras":[1,203010],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

[开启(使用)宝箱]
; 参数: 宝箱的道具id, num
req={"uid":"wanggangzero","ope":605,"cmd":6509,"paras":[701001,1],"sig":"sig","msgid":"msgid","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}

; ; [分解]
; ; ;参数: 道具id, 数量
; ; req={"uid":"wanggangzero","ope":608,"cmd":6406,"paras":[102002,2],"sig":"w","msgid":"w","ts":0,"zoneid":1,"clientVer":"1.0.1","tag":null}